#!/bin/bash
#
# author: Giancarlo Panichi
#
echo "DiffBasic Project";
echo "Author: Giancarlo Panchi";
echo "Parameter operator: " $1;
echo "Parameter options: " $2;
echo "Parameter file1: " $3;
echo "Parameter file2: " $4;
echo "Output file: output.txt";

OUT="output.txt";

case "$1" in
        diff)
            diff $2 $3 $4 > $OUT;
            ;;
         
        sdiff)
            sdiff $2 $3 $4 > $OUT;
            ;;
        *)
            echo $"Usage: $1 {diff|sdiff}";
            exit 1;
esac
